Subject: Re: ds/commit-graph-gen-v2-fixes (was Re: What's cooking in git.git (Feb 2022, #08; Mon, 28))

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 1 Mar 2022 15:58:44 +0100

On Tue, Mar 01, 2022 at 09:26:51AM -0500, Derrick Stolee wrote:
> On 3/1/2022 8:42 AM, Junio C Hamano wrote:
> 
> > * ds/commit-graph-gen-v2-fixes (2022-02-28) 4 commits
> >  - commit-graph: fix generation number v2 overflow values
> >  - commit-graph: start parsing generation v2 (again)
> >  - commit-graph: fix ordering bug in generation numbers
> >  - test-read-graph: include extra post-parse info
> > 
> >  Fixes to the way generation number v2 in the commit-graph files are
> >  (not) handled.
> > 
> >  Will merge to 'next'.
> >  source: <[email-masked]>
> 
> Please hold for a re-roll on this one. Ævar has some feedback
> on these patches that merit a new version. His comments are
> mainly about test structure, but they will help get extra
> coverage in the 32-bit case.
> 
> Patrick also had some concerns about upgrading from older,
> buggy versions of Git. I think this isn't an issue [1] because of
> how those older versions would ignore existing corrected
> commit dates, but it would be good to get a common understanding
> of the scenario before merging this.
> 
> [1] https://lore.kernel.org/git/[email-masked]/
> 
> Thanks,
> -Stolee

Indeed, I think my concern is not an issue. The failures I was seeing
were my own fault because I had been running an intermediate version of
Git, which created those faulty graphs, and they carried over into later
testing.

Patrick